curl --request POST \
--url https://api.scitix.ai/model-api/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "deepseek-ai/deepseek-v4.1-flash-1017",
"messages": [
{
"role": "user",
"content": "Reply with only 2"
}
],
"max_tokens": 128,
"thinking": {
"type": "disabled"
}
}
'{
"id": "96ab71e2-00a8-4a67-8e68-a9dfa8573976",
"type": "message",
"role": "assistant",
"model": "deepseek-ai/deepseek-v4.1-flash-1017",
"content": [
{
"type": "text",
"text": "2"
}
],
"stop_reason": "end_turn",
"stop_sequence": null,
"usage": {
"input_tokens": 8,
"output_tokens": 1
}
}Create a message
Generate a message from the specified model and message list. Results are returned in the content array. SSE streaming is supported.
Before making a request, confirm that the model supports this protocol and the parameters you need.
POST
/
messages
curl --request POST \
--url https://api.scitix.ai/model-api/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "deepseek-ai/deepseek-v4.1-flash-1017",
"messages": [
{
"role": "user",
"content": "Reply with only 2"
}
],
"max_tokens": 128,
"thinking": {
"type": "disabled"
}
}
'{
"id": "96ab71e2-00a8-4a67-8e68-a9dfa8573976",
"type": "message",
"role": "assistant",
"model": "deepseek-ai/deepseek-v4.1-flash-1017",
"content": [
{
"type": "text",
"text": "2"
}
],
"stop_reason": "end_turn",
"stop_sequence": null,
"usage": {
"input_tokens": 8,
"output_tokens": 1
}
}Authorizations
Body
application/json
Messages protocol request body. model, max_tokens, and messages are required.
Response
Message response. Streaming examples show only selected events and fields.
For some models, message_start.message may omit type and role. Parse SSE data according to the event type.

